import { prop } from "@typegoose/typegoose";

// This class represents a Vendor, which ia an entity that is permitted to access CommunityReport information, and may be permitted to manipulate data, through the HTtP API.
export default class Vendor {
  @prop({ required: true })
  public name: string | undefined;

  @prop({ required: true, unique: true })
  // the uuidv4 string identifier of the vendor; this functions as the identifier and api key for the vendor
  public key: string | undefined;

  @prop({ default: false })
  // determines if this vendor can perform a Hard Inquiry and receive additional privileged information
  public privileged: boolean | undefined;
}
